using System;
using System.Collections;

namespace ConsoleApp4
{
    class Program
    {
        static void unos(ref int N, ref int[] Ai, ref double[] Pi, ref int x)
        {
            string[] y1 = new string[] { };
            ArrayList t = new ArrayList();
            ArrayList r = new ArrayList();
            for (x = 0; x < N; x++)
            {
                y1 = Console.ReadLine().Split();
                t.Add(int.Parse(y1[0]));
                r.Add(double.Parse(y1[1]));

            }

            Ai = (int[])t.ToArray(typeof(int));
            Pi = (double[])r.ToArray(typeof(double));
        }
            static void Main(string[] args)
        {
            int N = int.Parse(Console.ReadLine());
            int[] A = new int[] { };
            double[] P = new double[] { };
            double maxzarada = 0;
            int ii = 0;
             unos(ref N, ref A, ref P, ref ii);
            
            for (int i = 0; i < N; i++)
            {   
                double medjuzbir = 0;
                for (int j = 0; j < N; j++)
                {
                if (P[i] <= P[j]) medjuzbir += A[j] * P[i]/100;
                }
                if (medjuzbir > maxzarada) maxzarada = medjuzbir;
               
            }
            Math.Round(maxzarada, 4);
            Console.WriteLine(maxzarada);
        }
    }
}